## ros-kinetic-nao-description 0.5.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_description)

# We need to find catkin for the rest of the script to work
find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf
  message_filters
  sensor_msgs
)

# Nothing that can be imported by other modules
catkin_package()

include_directories(${catkin_INCLUDE_DIRS})
add_executable(base_footprint src/base_footprint.cpp)
target_link_libraries(base_footprint ${catkin_LIBRARIES})

install(TARGETS base_footprint
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

# Instructions to install launch files
install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch )

# Instructions to install urdf files
install(DIRECTORY urdf/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)

=== debian/changelog ===
ros-kinetic-nao-description (0.5.15-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Wed, 23 Nov 2016 08:00:00 -0000

ros-kinetic-nao-description (0.5.14-0xenial) xenial; urgency=high

  * removed nao_dcm namespace to match changes made to nao_control
  * added gui:=true to match pepper_description display.launch
  * Contributors: Mikael Arguedas

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sat, 23 Jan 2016 08:00:00 -0000

ros-kinetic-nao-description (0.5.13-0xenial) xenial; urgency=high

  * Fix bad arm values.
    This fixes #25 <https://github.com/ros-naoqi/nao_robot/issues/25>.
  * Contributors: Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sat, 16 Jan 2016 08:00:00 -0000

ros-kinetic-nao-description (0.5.12-0xenial) xenial; urgency=high

  * remove type from naoTransmission
  * update the Gazebo .xacro and the corresponding .urdf
  * update the .xacro / .urdf to the latest version of naoqi_tools
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 01 Jan 2016 08:00:00 -0000

ros-kinetic-nao-description (0.5.11-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 11 Aug 2015 07:00:00 -0000

ros-kinetic-nao-description (0.5.10-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-nao-description (0.5.9-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-nao-description (0.5.8-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-nao-description (0.5.7-0xenial) xenial; urgency=high

  * update full .urdf file using xacro
  * fixed ankle drift
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Mar 2015 07:00:00 -0000

ros-kinetic-nao-description (0.5.6-0xenial) xenial; urgency=high

  * properly fix 535d34474d9f64ddb60f6f163656c10fcdf92774
    The automatic generator was used to generate inertia
  * dirty fix for naoqi_bridge/issues/31
  * Minor fix to load RViz config file in display.launch
  * fixing typo
  * Cleanup and rename launch files
  * Contributors: Karsten Knese, Konstantinos Chatzilygeroudis, Mikael Arguedas, Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-nao-description (0.5.5-0xenial) xenial; urgency=high

  * update to the latest version of the generation script
  * Contributors: Vincent Rabaud

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 17 Feb 2015 08:00:00 -0000

ros-kinetic-nao-description (0.5.4-0xenial) xenial; urgency=high

  * restore sensor in naoGazebo.xacro
  * Contributors: Mikael Arguedas

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Tue, 17 Feb 2015 08:00:00 -0000

ros-kinetic-nao-description (0.5.3-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Sun, 14 Dec 2014 08:00:00 -0000

ros-kinetic-nao-description (0.5.2-0xenial) xenial; urgency=high

  * fixed gazebo tags used by nao_gazebo_plugin
  * remove trailing spaces
  * update generated urdf files, add gazebo plugins
  * Added xacro and urdf dependencies
  * Contributors: Arguedas Mikael, Mikael ARGUEDAS

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 04 Dec 2014 08:00:00 -0000

ros-kinetic-nao-description (0.5.1-0xenial) xenial; urgency=high



 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 13 Nov 2014 08:00:00 -0000

ros-kinetic-nao-description (0.5.0-0xenial) xenial; urgency=high

  * transfer nao_robot
  * 0.4.1
  * update changelogs
  * added camera and sonar to naoGazebo.xacro
  * get the accent right in Séverin's name
  * 0.4.0
  * update changelogs
  * urdf generated files, launchfiles and config files
    generated files updated
    updated mesh file path
    add xacro macro for fingers in naohands
    update nao.urdf based on new macros for fingers
    export with meshes
    remove useless imu frame
  * 0.3.0
  * update changelogs
  * update maintainers
    Armin, thank you for all your work, in ROS, Octomap and NAO.
    Good luck out of the university !
  * Revert "Merge pull request #26 <https://github.com/ros-naoqi/nao_robot/issues/26> from vrabaud/fix_xacro"
    Breaks groovy (xacro no catkin package), but will be required from hydro on
    This reverts commit 321424a634a309ea9c284cf027074cdeda2a3c67, reversing
    changes made to 383d285e01997e585bfa731525ce5f17a6cc3165.
  * fix the missing dependency on xacro
  * "0.2.3"
  * Changelogs
  * {ahornung->ros-nao}
  * {ahornung->ros-nao}
  * Fix #17 <https://github.com/ros-naoqi/nao_robot/issues/17>: add dependency on sensor_msgs in nao_description
  * "0.2.2"
  * changelog
  * "0.2.1"
  * Changelogs
  * [nao_description] Added missing include dirs in CMakeLists
  * "0.2.0"
  * Adding (edited) catkin-generated changelogs
  * Adding bugtracker and repo URLs to package manifests
  * Adding base_footprint node to nao_description, publishes footprint according
    to REP-120 (based on previous node nao_remote/remap_odometry). Fixes Issue #10 <https://github.com/ros-naoqi/nao_robot/issues/10>.
  * Moved nao_description from nao_common to nao_robot
  * Contributors: Armin Hornung, Karsten Knese, Séverin Lemaignan, Vincent Rabaud, margueda

 -- Séverin Lemaignan <severin.lemaignan@epfl.ch>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-nao-description
Section: misc
Priority: extra
Maintainer: Séverin Lemaignan <severin.lemaignan@epfl.ch>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-filters, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://www.ros.org/wiki/nao_description
Standards-Version: 3.9.2

Package: ros-kinetic-nao-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-filters, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-urdf, ros-kinetic-xacro
Description: Description of the Nao robot model that can be used with robot_state_publisher to display the robot's state of joint angles.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-nao-description//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
